<?php

/**
 * WebsiteBaker Community Edition (WBCE)
 * Way Better Content Editing.
 * Visit http://wbce.org to learn more and to join the community.
 *
 * @copyright Ryan Djurovich (2004-2009)
 * @copyright WebsiteBaker Org. e.V. (2009-2015)
 * @copyright WBCE Project (2015-)
 * @license GNU GPL2 (or any later version)
 */
 
// Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { die("Cannot access this file directly"); }

$debug = false;

if (true === $debug) {
	ini_set('display_errors', 1);
	error_reporting(E_ALL|E_STRICT);
}

$host = gethostbyname($_SERVER['SERVER_NAME']);
$user=constant('DB_USERNAME');
$phpver=constant('PHP_VERSION');

echo ' <a name="top"></a>';
echo '<div class="mod_mysqlinfo_wrap">';
echo '<div class="mod_mysqlinfo_header">';
if(!extension_loaded("mysqli")) {
    echo ("<div class=\"mod_mysqlinfo_warning\">php MySQL extension not loaded!<br />Check in php.ini if extension=php_mysqli is enabled, and  that the  extension_dir = is pointing to your php/ext folder.</div>");
    die;
} 


$link = mysqli_connect(DB_HOST, DB_USERNAME, DB_PASSWORD, DB_NAME);

if (!$link) {
   echo ("<div class=\"mod_mysqlinfo_warning\">Could not connect to the Mysql server:<br />' . mysqli_error($link) . '<br />Did you set the correct host and login parameters ? </div>");
   phpinfo();
   die;
} else {
    if( '$DB_USERNAME' == 'root' ) {
        if( '$DB_PASSWORD' == '') {
            echo "<div class=\"mod_mysqlinfo_warning\">Your user and password are the install default (user:root and password is blank), change it !!</div>";
        }
    }
        printf("<div class=\"mod_mysqlinfo_info\">User <strong>$user</strong> connected to the MySQL server at <strong>$host</strong><br /><br /><strong>Mysql version:</strong><strong> %s </strong> using <strong>PHP $phpver</strong> MySQLi extensions <strong>\n", mysqli_get_server_info($link)); echo '</strong></div>';
?>
 
  <p>Search for certain name or value: <input id="searchInput" value="Type To Filter"> | <a href="#vars">Jump to MySQL variable listing</a></p>
  </div>
  <div class="mod_mysqlinfo_output">
	<table border="0" class="mod_mysqlinfo_output_table">
		<tbody id="fbody">
			<tr>
				<th colspan="2">MySQL Runtime Information</th>
			</tr>
		<?php
    
        $result = mysqli_query($link,'SHOW GLOBAL STATUS', MYSQLI_STORE_RESULT);
        if($result) {
            $p = 0;
	    /* if we got a result value - save the count */
            $count=mysqli_num_rows($result);
            /* round up to next highest integer - then add 1 */            
            while($p < $count) {
                $p ++;
                $row = mysqli_fetch_assoc($result);                
                echo  '<tr class="result"><td>'.$row['Variable_name'] . '</td><td>' . $row['Value'] . "</td></tr>\n ";
            }
        } else {
            echo '<tr><td colspan="2"><div class="mod_mysqlinfo_warning">Unable to Retrieve GLOBAL STATUS values from MySQL</div></td></tr>';
        }
   ?>     
			<tr style="visibilty:visible">
				<th colspan="2"><a name="vars"></a>MySQL Server variables and settings | <a href="#top">Back to top</a></th>
			</tr>
			
	<?php 
        $result = mysqli_query($link,'SHOW VARIABLES', MYSQLI_STORE_RESULT);
        if($result) {
            $p = 0;
  
	    /* if we got a non-zero result value - save the count */
            $count=mysqli_num_rows($result);
            /* round up to next highest integer - then add 1 */
           
            while($p < $count) {
                $p ++;
                $row = mysqli_fetch_assoc($result);           
                echo  '<tr class="result"><td>'.$row['Variable_name'] . '</td><td>' . $row['Value'] . "</td></tr>\n ";
            }
        } else {
           echo '<tr><td colspan="2"><div class="mod_mysqlinfo_warning">Unable to Retrieve VARIABLE values from MySQL</div></td></tr>';
        }  

    }
?>
	</tbody>
 </table>
 </div>
 <div class="mod_mysqlinfo_footer">End MySqlInfo | <a href="#top">Back to top</a></div>
 </div>
 
 <script type="text/javascript">
$("#searchInput").keyup(function () {
    //split the current value of searchInput
    var data = this.value.split(" ");
    //create a jquery object of the rows
    var jo = $("#fbody").find(".result");
    if (this.value == "") {
        jo.show();
        return;
    }
    //hide all the rows
    jo.hide();

    //Recusively filter the jquery object to get results.
    jo.filter(function (i, v) {
        var $t = $(this);
        for (var d = 0; d < data.length; ++d) {
            if ($t.is(":contains('" + data[d] + "')")) {
                return true;
            }
        }
        return false;
    })
    //show the rows that match.
    .show();
}).focus(function () {
    this.value = "";
    $(this).css({
        "color": "black"
    });
    $(this).unbind('focus');
}).css({
    "color": "#C0C0C0"
});
</script>